Security Administration

How Do I...

Add a role

Add a role to a task

Add a security administrator

Add a user

Add a user to a role

Add an application administrator

Add tasks to roles

Change password settings

Copy a role

Copy a user

Delete a role

Delete a user

End account availability

Grant users access to companies

Make an account unavailable

Make an account available

Remove a role from a task

Remove a user from a role

Remove file restrictions

Remove users from companies

Restrict access to files

Restrict access to additional files

Turn off logging

Turn on logging

Turn off security

Turn on security

Turn off tasks

Turn on tasks

Unlock user accounts

Set up security for Sage Construction Anywhere

Learn About...

Security Administration

Application security

Users and administrators

Roles

Log settings

Task security

Company security

File security

Record security

Estimating security

Glossary

Application administrator

Security administrator

Strong passwords

User

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Set up Security for Sage Construction Anywhere

You must set up Sage 300 Construction and Real Estate security to use Sage Construction Anywhere.

For detailed instructions, see the Sage Construction Anywhere Getting Started Guide.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Turning on security

You must be a security administrator to turn on application security.

To prevent unauthorized users from accessing your software, we recommend that you turn on application security. When you turn on application security, all users must enter a user name and password to access the software. Application administrators can restrict access to software features and data that each user has permission to access.

For the security settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Note: Before you can turn on security, you must assign a user name to the Security Administrator role.

  1. From Security Administrator, click Security Settings.
  2. Select Turn on application security.
  3. Click [OK].
  4. Log on.
  5. From the Log On window, type your User name.
  6. Type your Password.
  7. Click [Log On].
  8. When the "Restart " message appears, click [OK].
  9. Close Sage 300 Construction and Real Estate (File > Exit), and then reopen it.
  10. Request all users to restart Sage 300 Construction and Real Estate.

Cannot turn on security

Turning off security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Turning off security

You must be a security administrator to turn off application security.

To prevent unauthorized users from accessing your software, we recommend that you leave application security turned on.

For the security settings to take effect, all users must restart Sage 300 Construction and Real Estate.

  1. From Security Administrator, click Security Settings.
  2. Clear Turn on application security.
  3. Click [OK].

Cannot turn on security

Turning on security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Changing password settings

You must be a security administrator to change the password settings.

When you turn on security, you must set up password strengths and requirements for all users. To change these settings later, go to Security Administration > Security Settings.

To change the password settings for a user name, go to Security Administration > User Setup > Settings.

For the password settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Changing password strengths and requirements for all users

Changing password settings for a user name

Changing password strengths and requirements for all users

Note: You must be a security administrator to perform this task.

To prevent unauthorized users from accessing your software, we recommend that you require strong passwords.

  1. From Security Administration, click Security Settings.
  2. If security is turned off, select Turn on application security.
  3. In Password Settings, move the slider to select the password strength.
  4. If you choose Custom, set the requirements.
    1. Click [Custom Password Settings].
    2. From the Password Settings window, clear the options that you do not want or change the requirements for the settings.
    3. Click [OK].
  5. Click [OK].
  6. If you are strengthening the password requirements, the following message appears, "Existing passwords may not meet the new requirements. Do you want users to create new passwords the next time they log on?" Click [Yes].

Note: For the password settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Changing password settings for a user name

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name for which you want to change the password settings.
  3. On the User Details pane, click the Settings tab.
  4. Select or clear the Password Settings options.
  5. If you want to add or change the password for the user, do the following:
    2. Click [Set Password].
    3. From the Set Password window, type the same password in the Password and Confirm password fields.
    4. Click [OK].

    6. When you add or change the password, the User must change password at next log on option is automatically selected.

  6. Click [Save Changes].

Note: For the password settings to take effect, the user must restart Sage 300 Construction and Real Estate.

Unlocking user accounts

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Unlocking user accounts

Security administrators control account lock settings on the Security Settings window.

User accounts are locked when the security administrator has selected the Yes, lock user accounts after (n) failed log on attempts option and users have unsuccessfully attempted to log on the number of times set by the security administrator.

When user accounts are locked and the security administrator has selected the Yes, unlock user accounts after (n) minutes option, user accounts are unlocked after the number of minutes set by the security administrator.

When user accounts are locked and the security administrator has selected the No, user accounts must be unlocked by an administrator option, users must ask their security administrator or application administrator to unlock their accounts.

Note: You must be an administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the User Setup window, select the user name.
  3. Click [Unlock User].
  4. Click [Save Changes].

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding a security administrator

Home

You must be a security administrator to add another security administrator.

When you turn on security, you must add a security administrator. To add or change a security administrator later, go to Security Administration > User Setup.

Security administrators set up and maintain accounts for users.

For back-up purposes, we recommend adding at least two security administrators.

Tip: If you are a security administrator and an application administrator, you can copy the permissions for an existing security administrator.

Adding a new user to the security administrator role

Adding an existing user to the security administrator role

Adding a new user to the security administrator role

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, click [Add].
  3. On the User Details pane, type the User name.
  4. (Optional) Type the Full name and Windows user associated with the user name.
  5. (Optional) On the Settings tab, select the User Account Settings and Password Settings.
  6. Click the Roles tab, and then select Security Administrator.
  7. Click [Save Changes].

Adding an existing user to the security administrator role

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name that you want to add to the security administrator role.
  3. Click the Roles tab, and then select Security Administrator.
  4. Click [Save Changes].

Note: For the change to take effect, the user must restart Sage 300 Construction and Real Estate.

Adding a user

Adding an application administrator

Copying a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding an application administrator

You must be a security administrator to add an application administrator.

When you turn on security, you must add an application administrator. To add or change an application administrator later, go to Security Administration > User Setup.

Application administrators restrict access to software features and data that each user has permission to access. They define roles and assign users to the roles.

For back-up purposes, we recommend adding at least two application administrators.

Tip: If you are a security administrator and an application administrator, you can copy the permissions for an existing application administrator.

Adding a new user to the application administrator role

Adding an existing user to the application administrator role

Adding a new user to the application administrator role

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, click [Add].
  3. On the User Details pane, type the User name.
  4. (Optional) Type the Full name and Windows user associated with the user name.
  5. (Optional) On the Settings tab, select the User Account Settings and Password Settings.
  6. Click the Roles tab, and then select Application Administrator.
  7. Click [Save Changes].

Adding an existing user to the application administrator role

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name that you want to add to the application administrator role.
  3. Click the Roles tab, and then select Application Administrator.
  4. Click [Save Changes].

Note: For the change to take effect, the user must restart Sage 300 Construction and Real Estate.

Adding a security administrator

Adding a user

Copying a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding a user

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, click [Add].
  3. On the User Details pane, type the User name.
  4. (Optional) Type the Full name and Windows user associated with the user name.
  5. (Optional) On the Settings tab, select the User Account Settings and Password Settings.
  6. Click the Roles tab, and then select or add roles for the user.
  7. (Optional) Click the Companies tab, and then select the companies for the user.

    8. You must be an application administrator to grant a user access to companies. If you cannot perform this step, the application administrator must do it before the user can log on to Sage 300 Construction and Real Estate.

  8. Click [Save Changes].

Adding a role

Adding a security administrator

Adding a user to a role

Adding an application administrator

Copying a user

Deleting a user

Granting users access to companies

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Copying a user

Use the copy feature when you want a new user to have the same permissions as an existing user.

Note: You must be a security administrator and an application administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name that you want to copy.
  3. Click [Copy].
  4. On the User Details pane, type the User name.
  5. (Optional) Type the Full name and Windows user associated with the user name.
  6. Click [Save Changes].

Adding a user

Deleting a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting a user

Note: You must be a security administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name that you want to delete.
  3. Click [Delete].
  4. When you receive the confirmation message, click [Yes].

Adding a user

Cannot delete user name

Copying a user

Making an account unavailable

Removing a user from a role

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Making an account unavailable

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name for the account that you want to make unavailable.
  3. On the Settings tab, select Account is unavailable.
  4. Click [Save Changes].

Note: For the change to take effect, the user must restart Sage 300 Construction and Real Estate.

Cannot make account unavailable

Deleting a user

Ending account availability

Making an account available

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Making an account available

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name for the account that you want to make available.
  3. On the Settings tab, select Account is available during the specified period.
  4. Type or select the Beginning date.
  5. Type or select the Ending date.
  6. Click [Save Changes].

Note: For the change to take effect, the user must restart Sage 300 Construction and Real Estate.

Deleting a user

Ending account availability

Making an account unavailable

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Ending account availability

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name for the account for which you want to end availability.
  3. On the Settings tab, select Account is available during the specified period.
  4. In the Ending options, select By.
  5. Type or select the By date.
  6. Click [Save Changes].

Note: For the change to take effect, the user must restart Sage 300 Construction and Real Estate.

Cannot end account availability

Making an account available

Making an account unavailable

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding a role

Adding a role from Role Setup

Adding a role from User Setup

Adding a role from Role Setup

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, click [Add].
  3. On the Role Details pane, type the Name of the role (for example, AP Clerk).
  4. (Optional) Type the Description for this role.
  5. (Optional) Select the tasks for this role.
  6. (Optional) Select the users for this role.
  7. Click [Save Changes].

Adding a role from User Setup

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name that requires a new role.
  3. Click the Roles tab, and then click Add a role.
  4. In the Add New Role window, type the Name of the role (for example, AP Clerk).
  5. (Optional) Type the Description for this role.
  6. (Optional) Select the tasks for this role.
  7. Click [OK].
  8. On the User Details pane, select the new role.
  9. Click [Save Changes].

Note: For the change to take effect, the user associated with the new role must restart Sage 300 Construction and Real Estate.

Adding a role to a task

Adding a user to a role

Adding tasks to roles

Copying a role

Deleting a role

Removing a role from a task

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding a user to a role

Adding users to a role from Role Setup

Adding a user to a role from User Setup

Adding users to a role from Role Setup

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, select the role.
  3. On the Roles Details pane, click the Users tab.
  4. Click [Add].
  5. If you need to add a new user, click Add a new user.
    1. In the Add New User window, type the User name.
    2. (Optional) Type the Full name and Windows user associated with the user name.
    3. (Optional) On the Settings tab, select the User Account Settings and Password Settings.
    4. Click [OK].
  6. In the Role Setup - Add Users window, select the users.
  7. Click [OK].
  8. Click [Save Changes].

Note: For the change to take effect, the users associated with this role must restart Sage 300 Construction and Real Estate.

Adding a user to role from User Setup

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name.
  3. Click the Roles tab, and then select roles for the user.
  4. Click [Save Changes].

Note: For the change to take effect, the user associated with this role must restart Sage 300 Construction and Real Estate.

Adding a role

Adding a security administrator

Adding a user

Adding an application administrator

Adding tasks to roles

Removing a user from a role

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Granting users access to companies

You must be an application administrator to grant a user access to companies.

Security administrators and application administrators have access to all companies.

Granting a user access to companies from User Setup

Granting users access to companies from Company Security

Granting a user access to companies from User Setup

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name for which you want to grant company access.
  3. Click the Companies tab, and then select companies for the user.
  4. Click [Save Changes].

Note: For the change to take effect, the user associated with this company must restart Sage 300 Construction and Real Estate.

Granting users access to companies from Company Security

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click Company.
  2. On the Companies pane, select the Company Name to which you want to add users.
  3. On the Company Security Details pane, click [Add].
  4. In the Company Setup - Add Users window, select the users.
  5. Click [OK].
  6. Click [Save Changes].

Note: For the change to take effect, the user associated with this company must restart Sage 300 Construction and Real Estate.

Adding a user

Removing users from companies

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Copying a role

Use the copy feature when you want a new role to have the same tasks and users as an existing role.

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, select the role that you want to copy.
  3. Click [Copy].
  4. On the Role Details pane, type the Name of the role (for example, AP Clerk).
  5. (Optional) Type the Description for this role.
  6. Click [Save Changes].

Adding a role

Deleting a role

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Deleting a role

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, select the role that you want to delete.
  3. Click [Delete].
  4. When you receive the confirmation message, click [Yes].

Adding a role

Copying a role

Removing a user from a role

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding tasks to roles

Application administrators can add all tasks to roles.

Security administrators can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

You cannot change the tasks for the application administrator and security administrator roles.

Adding tasks to an existing role

Adding tasks to a new role

Adding tasks to an existing role

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, select the role that you want to edit.
  3. On the Roles Details pane, click the Tasks tab.
  4. In the tasks tree, navigate to the tasks or sub-tasks that you want to add and select the tasks.
  5. Click [Save Changes].

Note: For the change to take effect, the users associated with this role must restart Sage 300 Construction and Real Estate.

Adding tasks to a new role

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, click [Add].
  3. On the Role Details pane, type the Name of the role (for example, AP Clerk).
  4. (Optional) Type the Description for this role.
  5. On the Roles Details pane, click the Tasks tab.
  6. In the tasks tree, navigate to the tasks or sub-tasks that you want to add and select the tasks.
  7. Click [Save Changes].

Adding a role

Adding a role to a task

Adding a user

Adding a user to a role

Turning off tasks

Turning on tasks

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing a user from a role

Removing users from a role from Role Setup

Removing a user from a role from User Setup

Removing users from a role from Role Setup

  1. From Security Administration, click Role Setup.
  2. On the Roles pane, select the role.
  3. On the Roles Details pane, click the Users tab.
  4. Select the users, and then click [Remove].
  5. Click [Save Changes].

Note: For the change to take effect, the users associated with this role must restart Sage 300 Construction and Real Estate.

Removing a user from role from User Setup

  1. From Security Administration, click User Setup.
  2. On the Users pane, select the User Name.
  3. Click the Roles tab, and then clear the role.
  4. Click [Save Changes].

Note: For the change to take effect, the user associated with this role must restart Sage 300 Construction and Real Estate.

Adding a user to a role

Cannot remove user name

Deleting a role

Deleting a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview of log settings

By default, logging is turned on.

Security administrators can turn off Application, Security, or Setup logging.

Audit Setup, Field Report, and System logs are required. You cannot turn them off.

The Posting Recap and Task Summary logs are for future use. No logs are created at this time.

Required Log | Log Type | Description
No | Application | Logs the start and end of Accounting applications and tasks.
Yes | Audit Setup | Logs changes when the audit setup activity is selected in an Accounting application.
Yes | Field Report | Logs changes to finalized field reports in Project Management.
Yes | Posting Recap | Logs recaps created while posting entries in Accounting. (For future use.)
No | Security | Logs events in the Security Administration tool.
No | Setup | Logs changes to setup information in Accounting.
Yes | System | Logs Accounting system events.
Yes | Task Summary | Logs summaries created during an Accounting task. (For future use.)

Turning off logging

Turning on logging

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turning on logging

By default, logging is turned on. If you previously turned off Application, Security, or Setup logging, follow these steps to turn it back on.

Note: You must be a security administrator to turn on logging.

  1. From Security Administration, click Log Settings.
  2. In the On column, select the types of logs that you want to turn on.
  3. Click [OK].

Overview of log settings

Turning off logging

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turning off logging

Security administrators can only turn off Application, Security, or Setup logging.

Audit Setup, Field Report, and System logs are required. You cannot turn them off.

The Posting Recap and Task Summary logs are for future use. No logs are created at this time.

Note: You must be a security administrator to turn off logging.

  1. From Security Administration, click Log Settings.
  2. In the On column, clear the types of logs that you want to turn off.
  3. Click [OK].

Overview of log settings

Turning on logging

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turning off tasks

To turn off a task for all roles

Note: You cannot turn off tasks for the security administrator and application administrator roles.

  1. From Security Administration, click Tasks.
  2. On the Tasks pane, navigate to the tasks or sub-tasks that you want to turn off.
  3. On the Task Security Details pane, select Turn off task.
  4. If the "Restart " message displays, click [OK].
  5. Click [Save Changes].

Note: For the task settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Turning on tasks

Removing a role from a task

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turning on tasks

To turn on a task for the associated roles

  1. From Security Administration, click Tasks.
  2. On the Tasks pane, navigate to the tasks or sub-tasks that you want to turn on.
  3. On the Task Security Details pane, clear Turn off task.
  4. Click [Save Changes].

Note: For the task settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Adding a role to a task

Adding tasks to roles

Turning off tasks

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Adding a role to a task

Application administrators can add roles to all tasks.

Security administrators can only add roles to the following tasks:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

To add a role to a task

  1. From Security Administration, click Tasks.
  2. On the Tasks pane, navigate to the task or sub-task to which you want to add a role.
  3. On the Task Security Details pane, select the roles that you want to add.
  4. Click [Save Changes].

Adding a role

Adding tasks to roles

Removing a role from a task

Turning on tasks

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing a role from a task

Application administrators can remove roles from all tasks.

Security administrators can only remove roles from the following tasks:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

To remove a role from a task

  1. From Security Administration, click Tasks.
  2. On the Tasks pane, navigate to the task or sub-task that you want to remove from a role.
  3. On the Task Security Details pane, clear the roles.
  4. Click [Save Changes].

Adding a role to a task

Turning off tasks

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing users from companies

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click Company.
  2. On the Companies pane, select the Company Name from which you want to remove users.
  3. On the Company Security Details pane, select the Users that you want to remove.
  4. Click [Remove].
  5. Click [Save Changes].

Note: For the change to take effect, the users associated with this company must restart Sage 300 Construction and Real Estate.

Granting users access to companies

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Restricting access to files

Notes:

  • After securing a file, make sure that users can still perform their required tasks.
  • You must be an application administrator to perform this task.
  1. From Security Administration, click Files.
  2. Select the Company for which you want to restrict access to files.
  3. Select the Role that will have access to the corresponding File Name.
  4. Click [OK].

Note: For the file restriction to take effect, all users not assigned to the role must restart Sage 300 Construction and Real Estate.

Restricting access to additional files

Removing files restrictions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Restricting access to additional files

Note: After securing a file, make sure that users can still perform their required tasks.

Application administrators will only see additional files if named files are selected for a securable file type (Common Tasks > File > Company Settings > File Locations > Ask Name).

To restrict a file that is not in the File Security Setup grid

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click Files.
  2. Select the Company for which you want to restrict access to files.
  3. Click [Find Files].
  4. From the File Security Setup - Find File window, select the File Type.
  5. Click [OK].
  6. Browse to the file location and select the File name that you want to restrict.
  7. Click [Open]. The file is added to the grid.
  8. Select the Role that will have access to the corresponding File Name.
  9. Click [OK].

Note: For the file restriction to take effect, all users not assigned to the role must restart Sage 300 Construction and Real Estate.

Restricting access to files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Removing file restrictions

Note: You must be an application administrator to perform this task.

  1. From Security Administration, click Files.
  2. Select the Company for which you want to remove a file restriction.
  3. In the Role column for the corresponding File Name, select (None).
  4. Click [OK].

Note: For the file setting to take effect, all users must restart Sage 300 Construction and Real Estate.

Restricting access to files

Restricting access to additional files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot delete user name

Note: You must be a security administrator to delete a security administrator.

If security is on and only one user name is assigned to the [Security Administrator] role, you cannot delete the user name assigned to that role.

To delete the user name, you must assign another user name to the Security Administrator role.

Tip: For back-up purposes, we recommend adding at least two security administrators.

Adding a security administrator

Deleting a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot make account unavailable

If security is on and only one available user name is assigned to the security administrator or application administrator role, you cannot make the account unavailable.

To make the account unavailable, you must assign another available user to that administrator role.

Note: You must be a security administrator to assign a user to an administrator role.

Tip: For back-up purposes, we recommend adding at least two security administrators and two application administrators. If necessary, you can assign two user accounts to both roles.

Adding a security administrator

Adding an application administrator

Making an account available

Making an account unavailable

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot end account availability

If security is on and only one user name is assigned to the security administrator or application administrator role as of this date, you cannot end account availability.

To end account availability, you must assign another available user name to that administrator role.

Note: You must be a security administrator to assign a user to an administrator role.

Tip: For back-up purposes, we recommend adding at least two security administrators and two application administrators. If necessary, you can assign two user accounts to both roles.

Adding a security administrator

Adding an application administrator

Ending account availability

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot remove user name

Note: You must be a security administrator to delete a security administrator.

If security is on and only one user name is assigned to the Security Administrator role, you cannot remove the user name assigned to that role.

To remove the user name, you must assign another user name to the Security Administrator role.

Tip: For back-up purposes, we recommend adding at least two security administrators.

Adding a security administrator

Removing a user from a role

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot turn on security

Note: You must be a security administrator to turn on application security.

If a user name is not assigned to the Security Administrator role, you cannot turn on application security.

To turn on security, you must assign a user name to the Security Administrator role.

For the security settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Tip: For back-up purposes, we recommend adding at least two security administrators.

Adding a security administrator

Turning on security

Turning off security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Cannot save changes

Note: Y ou must be a security administrator to remove users from the security administrator role.

If security is on, you cannot remove all users from the Security Administrator role.

To remove all the existing users from the Security Administrator role, first you must assign another user name to that role.

Tip: For back-up purposes, we recommend adding at least two security administrators.

Adding a security administrator

Deleting a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add New Role window

Home

Use this window to create a new role and to add tasks and users to the role.

For the new role to take effect, the users associated with the role must restart Sage 300 Construction and Real Estate.

If you are a security administrator, you can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

Adding a role

Adding a user to a role

Adding tasks to roles

Items in this window

Name | Description
Tasks
Tasks | Details
Users
[Add] | Details

Name

The name of the role (for example, AP Clerk).

Description

(Optional) The description for this role.

Tasks

If you are an application administrator, you can add approximately 1,500 tasks to a role. The number of tasks that you can add is dependent on the number of Sage 300 Construction and Real Estate applications that are installed. The following Sage 300 Construction and Real Estate applications have sub-tasks associated with them:

  • Common Tasks
  • Sage Desktop
  • Accounts Payable
  • Accounts Receivable
  • Address Book
  • Billing
  • Cash Management
  • Contracts
  • Document Management
  • Equipment Cost
  • Financial Statements
  • General Ledger
  • Information Assistant
  • Inquiry Designer
  • Job Cost
  • ODBC
  • Reports and Inquiries
  • Payroll
  • Project Management
  • Property Management
  • Remote Time
  • Report Designer
  • Service Management

If you are a security administrator, you can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

To add a task to a role, expand the task tree, navigate to the tasks or sub-tasks that you want to add to the role, and select the task. When you are done adding tasks, click [Save Changes].

Details

Lists the application associated with the task or sub-task.

Click the link for the task name to open the details window for that task. The task details window lists a description of the task, the roles assigned to the task, and the users assigned to each role. You can turn off or turn on tasks or all sub-tasks from the task details window.

Top of page

[Add]

Click to open the Role Setup - Add Users window. Use to select the users to add to the new role.

If you have selected a user in the User Setup window, you must return to that window to add the user to the new role.

Details

After you have added users to the role, select a user to view the User Name and Full Name (Description) associated with the account.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add New User window

Use this window to add new user accounts from Role Setup and to assign new user accounts to existing roles and companies.

You must be a security administrator, an application administrator, or both to do the following tasks.

You can perform the task if your role is: | Security Administrator | Application Administrator | Security & Application Administrator
Add users | Yes | No | Yes
Make accounts available or unavailable | Yes | Yes | Yes
Change password settings | Yes | No (view only) | Yes
Assign users to application administrator role | Yes | No | Yes
Assign users to security administrator role | Yes | No | Yes
Add users to roles | Yes | Yes | Yes
Grant access to companies | No (view only) | Yes | Yes

Adding a user

Making an account unavailable

Making an account available

Changing password settings

Adding an application administrator

Adding a security administrator

Adding a user to a role

Granting users access to companies

Items in this window

User name | Windows user
Full name | [Browse]
User Account Settings
Account is unavailable | Beginning
Account is available during the specified period | Ending
Password Settings
Initial password equals user name | Set initial password
User must change password at next log on | Password never expires
User cannot change password |
Roles
Filter | Security Administrator
Application Administrator | Details
Companies
Companies |

User name

The logon for Sage 300 Construction and Real Estate for the selected user (for example, JDoe).

Full name

(Optional) The name of the person associated with the user name (for example, John Doe).

Windows user

(Optional) The Microsoft Windows domain and user name associated with this account.

Format: domain\user name

[Browse]

(Optional) Click to open the Select Windows User window and browse the list of user names on your local domain.

Top of page

Account is unavailable

Select to prevent a user from logging on to Sage 300 Construction and Real Estate.

Account is available during the specified period

Select to allow a user to log on to Sage 300 Construction and Real Estate. Then, select the beginning and ending dates for account availability. The default settings are today's date for the Beginning and Never for the Ending.

Beginning

The date that the selected user account will become available to the user. The default is today's date.

Ending

The date that the selected user account will become unavailable to the user. The default is Never. To add an ending date, select By and then type or select the date the account will become unavailable.

Top of page

Initial password equals user name

When selected, the user name and password are the same when the new user logs on to Sage 300 Construction and Real Estate. The password is case sensitive. This is the default option.

Set initial password

When you select this option and type the same password in the Password and Confirm password fields, the new user must use this password when logging on to Sage 300 Construction and Real Estate. The password is case sensitive.

User must change password at next log on

You can only set this option if you are a security administrator.

When selected, the user will see the Change Password window the next time that he or she logs on to Sage 300 Construction and Real Estate. Before the software will open, the user must type a new password that meets the password requirements that you set on the Security Settings window. This is the default setting.

If you select this option, you cannot select the User cannot change password and Password never expires options.

User cannot change password

You can only set this option if you are a security administrator.

When selected, only the security administrator can change the password for this user.

If you select this option, you cannot select the User must change password at next log on option.

Password never expires

You can only set this option if you are a security administrator.

When selected, the user will never be prompted to change the password.

If you select this option, you cannot select the User must change password at next log on option.

Top of page

Filter

Select All roles to view all available roles. This is the default view.

Select Selected roles to view the roles to which a user is assigned.

Select Available roles to view the roles to which you can add the user.

Application Administrator

You must be a security administrator to assign a user to this role.

Security Administrator

You must be a security administrator to assign a user to this role.

Details

Lists the description for the selected role and the tasks assigned to that role.

Click the link for the task name to open the details window for that task. The task details window lists a description of the task, the roles assigned to the task, and the users assigned to each role. You can turn off or turn on tasks or all sub-tasks from the task details window.

Top of page

Companies

If you are an application administrator, you can use this tab to grant the user access to companies.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Company Security Setup window

Use this window to add user accounts to companies and remove user accounts from companies.

Administrators have access to all companies.

For company security settings to take effect, all users associated with the companies must restart Sage 300 Construction and Real Estate.

You must be an application administrator to grant or deny a user access to companies.

Granting users access to companies

Removing users from companies

Items in this window

Companies
Company Name | Description
Company Security Details
Company name | Description
Users
Users | [Remove]
[Add] | Details

Company Name

The name of the company, as listed in Sage 300 Construction and Real Estate.

Description

If available, the description of the company.

Company name

The name of the selected company.

Description

If available, the description of the selected company.

Top of page

Users

The logon for Sage 300 Construction and Real Estatefor the user associated with the selected company.

[Add]

You must be an application administrator to add a user.

Click to open the Company Setup - Add Users window. Use to select the users to add to the company. Click [OK], and then click [Save Changes].

For company security settings to take effect, users added to the company must restart Sage 300 Construction and Real Estate.

[Remove]

You must be an application administrator to remove a user.

Click to remove the selected users from the company. Then, click [Save Changes].

For company security settings to take effect, users removed from the company must restart Sage 300 Construction and Real Estate.

Details

You must be an application administrator to see the details for a user.

Click the link for a user to open the details window for that user. The user details window lists the user details, settings, roles, and companies for this account. You can use the details window to change the settings for the user account.

Note: Only security administrators can change password settings or assign users to administrator roles.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


File Security Setup window

Note: After securing a file, make sure that users can still perform their required tasks.

Use this window to restrict users' access to a file associated with a company. Only application administrators and users associated with the role assigned to a file will have permission to access the file.

For the file settings to take effect, all users must restart Sage 300 Construction and Real Estate.

You must be an application administrator to access this window.

Related Topics

Restricting access to files

Restricting access to additional files

Removing file restrictions

Items in this window

Company | File Type
[Find File] | File Name
Application | Role

Company

Select the name of the company for which you want to restrict access to files.

[Find File]

Note: Application administrators will only see additional files if named files are selected for a securable file type ( Common Tasks > File > Company Settings > File Locations > Ask Name).

Click to open the File Security Setup - Find File window and secure an additional file. Select the File Type, and then click [OK]. Browse to the file location, select the File name that you want to restrict, and then click [Open]. The additional file is added to the grid.

Application

Lists the Sage 300 Construction and Real Estate applications that contain securable files.

File Type

Lists the Sage 300 Construction and Real Estate file types that you can secure.

File Name

Lists the names of the files in Sage 300 Construction and Real Estate that you can secure.

Role

Select the role that will have access to the corresponding File Name, and then click [OK].

For the file restriction to take effect, all users not assigned to the role must restart Sage 300 Construction and Real Estate.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Password Settings window

Use this window to clear the options that you do not want or to change the requirements for the settings.

You must be a security administrator to change password settings.

To prevent unauthorized users from accessing your software, we recommend that you require strong passwords.

For the password settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Items in this window

Minimum password length | Warn users (n) days before their password expires
Password must contain three of the following... | Users may not reuse their (n) previous passwords
Password expires every (n) days | Users must wait (n) days after changing their password...

Minimum password length

When selected, users must choose a password that is equal to or more than the length of characters set by the security administrator. A minimum password length cannot exceed 14 characters. The default, strong password length is eight characters. Medium and weak password lengths are six characters.

Password must contain three of the following...

When selected, passwords must contain at least three of the following four character groups:

  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Numbers (0 through 9)
  • Special characters (~ ` ! @ # $ % ^ & * ( ) - + = { } [ ] | \ : ; < , > . ? /)

Strong and medium passwords require this setting.

Password expires every (n) days

When selected, users must change their passwords before the passwords expire. The default expiration frequency for strong passwords is every 90 days. Passwords cannot expire before users have permission to change them or before users receive a warning.

Warn users (n) days before their password expires

When selected, users are warned before their passwords expire. The default warning occurs ten days before passwords expire.

Users may not reuse their (n) previous passwords

When selected, users cannot reuse the number of previous passwords set by the security administrator. Security administrators can only prevent users from reusing up to 24 passwords. The default setting prevents reuse of the previous three passwords.

Users must wait (n) days after changing their password...

When selected, users cannot change their passwords until the number of days set by the security administrator have passed. The default setting requires users to wait 10 days before changing their passwords.

Top of page

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Role Setup window

Use this window to set up, change, and remove roles; add tasks to roles, and add users to roles.

For the role settings to take effect, users associated with the roles must restart sag.

You must be a security administrator, an application administrator, or both to do the following tasks:

You can perform the task if your role is: | Security Administrator | Application Administrator | Security & Application Administrator
Add roles | Yes | Yes | Yes
Copy roles | No | Yes | Yes
Delete roles | Yes | Yes | Yes
Assign users to application administrator role | Yes | No | Yes
Assign users to security administrator role | Yes | No | Yes
Add tasks to roles | Only Log Viewer, Audit Setup Activity, View System Activity, and Change Audit Setup Fields tasks | Yes | Yes
Add users to roles | Yes | Yes | Yes

Adding a role

Adding a user to a role

Adding tasks to roles

Copying a role

Deleting a role

Items in this window

Roles
[Add] | [Delete]
[Copy] |
Role Details
Name | Description
Tasks |
Tasks | Details
Users
[Add] | Details
[Remove] |

[Add]

Click to open a new Role Details pane and add a new role.

[Copy]

You will only see this button if you are an application administrator.

Select a role from the Roles list, and then click to copy the role details to a new role.

[Delete]

Select a role from the Roles list, click [Delete], and then click [Yes] to delete the role.

Top of page

Name

The name of the role (for example, AP Clerk).

Description

(Optional) The description for this role.

Top of page

Tasks

If you are an application administrator, you can add approximately 1,500 tasks to a role. The number of tasks that you can add is dependent on the number of Sage 300 Construction and Real Estate applications that are installed. The following Sage 300 Construction and Real Estate applications have sub-tasks associated with them:

  • Common Tasks
  • Sage Desktop
  • Accounts Payable
  • Accounts Receivable
  • Address Book
  • Billing
  • Cash Management
  • Contracts
  • Document Management
  • Equipment Cost
  • Financial Statements
  • General Ledger
  • Information Assistant
  • Inquiry Designer
  • Job Cost
  • ODBC
  • Reports and Inquiries
  • Payroll
  • Project Management
  • Property Management
  • Remote Time
  • Report Designer
  • Service Management

If you are a security administrator, you can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

To add a task to a role, expand the task tree, navigate to the tasks or sub-tasks that you want to add to the role, and select the task. When you are done adding tasks, click [Save Changes].

Details

Lists the application associated with the task or sub-task.

Click the link for the task name to open the details window for that task. The task details window lists a description of the task, the roles assigned to the task, and the users assigned to each role. You can turn off or turn on tasks or all sub-tasks from the task details window.

Top of page

[Add]

Click to open the Role Setup - Add Users window. Use to select the users to add to the new role.

If you have selected a user in the User Setup window, you must return to that window to add the user to the new role.

[Remove]

You will only see this button if you have assigned a user to the selected role.

Click to remove this user from the role.

Details

After you have added users to the role, select a user to view the User Name and Full Name (Description) associated with the account.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security Administration Help

securityadm.chm version 12.1.0.

Updated October 3, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security Settings window

Use this window to turn on and turn off application security, to change password settings, to change account lock settings, and to change secured menu settings.

You must be a security administrator to turn on and turn off application security, to change account lock settings, and to change password settings.

You must be an application administrator or security administrator to change secured menu settings.

To prevent unauthorized users from accessing your software, we recommend that you turn on application security. After you turn on security, you must log on.

For the security settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Changing password settings

Unlocking user accounts

Items in this window

Turn on application security |
Password Settings
Custom | Weak
Strong | Custom Password Settings
Medium |
Account Lock Settings |
No, never lock user accounts | No, user accounts must be unlocked by an administrator
Yes, lock user accounts after (n) failed log on attempts | Yes, unlock user accounts after (n) minutes
Secured Menu Settings |
No, do not display secured menu items | Yes, display secured menu items as disabled

Turn on application security

To prevent unauthorized users from accessing your software, we recommend that you turn on application security. When you turn on application security, all users must enter a user name and password to access the software. Application administrators can restrict access to software features and data that each user has permission to access.

Top of page

Custom

The custom password settings default to the strong password settings. To change these settings, click [Custom Password Settings]. From the Password Settings window, clear the options that you do not want or change the requirements for the settings.

Strong

To prevent unauthorized users from accessing your software, we recommend that you require strong passwords.

Strong passwords must meet the following conditions for complexity:

  • Passwords must be at least eight characters long.
  • Passwords must contain at least three of the following four character groups:
  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Numbers (0 through 9)
  • Special characters (~ ` ! @ # $ % ^ & * ( ) - + = { } [ ] | \ : ; < , > . ? /)
  • Passwords expire every 90 days.
  • Warn users 10 days before their passwords expire.
  • Users cannot reuse their three previous passwords.
  • Users must wait 10 days before changing their passwords.

Medium

Medium passwords include the following conditions:

  • Passwords must be at least six characters long.
  • Passwords must contain at least three of the following four character groups:
  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Numbers (0 through 9)
  • Special characters (~ ` ! @ # $ % ^ & * ( ) - + = { } [ ] | \ : ; < , > . ? /)

Weak

Weak passwords must be at least six characters long.

Custom Password Settings

Click to open the Password Settings window and clear the options that you do not want or to change the requirements for the settings. You can clear any setting or change the following conditions:

  • Minimum password length
  • Frequency of password expiration
  • Number of days until warning about password expiration
  • Number of passwords that users cannot reuse
  • Number of days users must wait before changing their passwords

Top of page

No, never lock user accounts

When selected, user accounts are never locked.

Yes, lock user accounts after (n) failed log on attempts

To prevent unauthorized users from accessing your software, we recommend that you lock user accounts after three or fewer unsuccessful attempts to log on.

When selected, user accounts are locked after users unsuccessfully attempt to log on the number of times set by the security administrator. The default is three unsuccessful attempts.

No, user accounts must be unlocked by an administrator

When user accounts are locked and this option is selected, users must ask their security administrator or application administrator to unlock their accounts.

Administrators can unlock user accounts by clicking User Setup, selecting the user name on the User Setup window, clicking [Unlock User], and then clicking [Save Changes].

Yes, unlock user accounts after (n) minutes

When selected, user accounts are unlocked after the number of minutes set by the security administrator. The default is five minutes.

Top of page

No, do not display secured menu items

When selected, users will not see menu items that you have secured in Sage 300 Construction and Real Estateif you have not given them permission to perform that task. This is the default setting.

Yes, display secured menu items as disabled

When selected, menu items that you have secured in Sage 300 Construction and Real Estate will be visible but unavailable if you have not given a user permission to perform the task.

Top of page

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Select Windows User window

Use this window to browse the list of user names on your local domain and to associate a Microsoft Windows user name with a Sage 300 Construction and Real Estate user account.

You must be a security administrator to set up user accounts.

Adding a user

Adding a security administrator

Adding an application administrator

Copying a user

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Set Password window

Use this window to add or change the password for an existing user.

When you add or change the password, the User must change password at next log on option on the User Setup window is automatically selected.

To prevent unauthorized users from accessing your software, we recommend that you require strong passwords.

You must be a security administration to set passwords.

Changing password settings

Strong passwords

Items in this window

Password

Confirm password

Password

Type a password for the selected user.

Confirm password

Type the same password that you typed in the Password field.

Top of page

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Task Security Setup window

Use this window to turn off and turn on tasks, add roles to tasks, and remove roles from tasks.

Application administrators can associate roles with approximately 1,500 tasks. The number of tasks available is dependent on the number of Sage 300 Construction and Real Estate applications that are installed.

Security administrators can only add roles to four common tasks.

For task security settings to take effect, all users associated with the roles must restart Sage 300 Construction and Real Estate.

You must be a security administrator, an application administrator, or both to do the following tasks.

You can perform the task if your role is: | Security Administrator | Application Administrator | Security & Application Administrator
Turn off and turn on tasks | Yes | Yes | Yes
Add roles to tasks or remove roles from tasks | Only for Log Viewer, Audit Setup Activity, View System Activity, and Change Audit Setup Fields tasks | Yes | Yes
Add roles | Yes | Yes | Yes

Turning off tasks

Turning on tasks

Adding a role to a task

Removing a role from a task

Adding a role

Adding tasks to roles

Items in this window

Tasks
Common Tasks | Information Assistant
Sage Desktop | Inquiry Designer
Accounts Payable | Job Cost
Accounts Receivable | ODBC
Address Book | Reports and Inquiries
Billing | Payroll
Cash Management | Project Management
Contracts | Property Management
Document Management | Remote Time
Equipment Cost | Report Designer
Financial Statements | Service Management
General Ledger |
Task Security Details
Name | Turn off task
Description |
Roles
Filter | Details
Add a role |

Common Tasks

Application administrators can associate roles with all tasks and sub-tasks.

Security administrators can only associate roles with the Log Viewer, Audit Setup Activity, View System Activity, and Change Audit Setup Fields tasks.

Contains the following sub-tasks:

File
  • Open Company
  • Send
  • Company Settings
  • Print Setup
  • General
  • Send Settings
  • File Locations
  • Printouts
  • Custom Descriptions

  • Custom Fields

Tools
  • Upgrade Files
  • Log Viewer
  • Change Registration or Uses
  • File Tools
  • New Issue
  • File Doctor
  • Formulas
  • Customize
  • Macros
  • Options
  • Background Tasks
  • Audit Setup Activity

Help
  • Documents

Security
  • View Security Activity
  • View Social Security Numbers
  • Change Audit Setup Fields

Top of page

Sage Desktop

Contains the following sub-tasks that application administrators can associate with roles:

File
  • New Configuration
  • Save Configuration As
  • Open Configuration

Tools
  • Options

Top of page

Accounts Payable

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

AP Settings | Reports
Tasks | Tools
Setup |

Accounts Receivable

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

AR Settings | Reports
Tasks | Tools
Setup |

Address Book

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Setup

Tools

Billing

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

BL Settings | Reports
Tasks | Tools
Setup |

Top of page

Cash Management

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

CM Settings | Reports
Tasks | Tools
Setup |

Contracts

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

File | Reports
Tasks | Tools

Document Management

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Inbox | Queries
Scan | Payable Invoices

Equipment Cost

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

EQ Settings | Reports
Tasks | Tools
Setup |

Financial Statements

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Files

Tools

General Ledger

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

GL Settings | Reports
Tasks | Tools
Setup |

Top of page

Information Assistant

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Reports

Tools

Inquiry Designer

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Inquiry

Tools

Job Cost

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

JC Settings | Reports
Tasks | Tools
Setup |

ODBC

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Read Access

Write Access

Reports and Inquiries

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Reports

Inquiries

Payroll

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

PR Settings | Reports
Tasks | Tools
Setup |

Top of page

Project Management

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

PJ Settings | Setup
Documents | Reports
Contract Control | Tools

Property Management

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

PM Settings | Reports
Tasks | Tools
Setup |

Remote Time

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

Entry/Approval Settings | Setup
Import/Export Settings | Reports
Tasks | Tools

Report Designer

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

File

Tools

Service Management

If installed, contains the following sub-tasks that application administrators can associate with roles. Expand the Tasks tree to see additional tasks associated with the sub-tasks.

SM Settings | Tasks
View | Reports
DBoard | Tools
Setup |

Top of page

Name

The name of the task, as listed in Sage 300 Construction and Real Estate.

Description

The application or area in Sage 300 Construction and Real Estatewhere the task is located.

Turn off task

When selected, turns off the task and all sub-tasks.

You cannot turn off tasks for the security administrator or application administrator roles.

For the task settings to take effect, all users must restart Sage 300 Construction and Real Estate.

Top of page

Filter

Select All roles to view all available roles for this task. This is the default view.

Select Selected roles to view the roles associated with this task.

Select Available roles to view the roles that you can add to this task.

Add a role

Click to create a new role and to add tasks and users to the role.

If you are a security administrator, you can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

Details

Lists the description for the selected role and the users assigned to that role.

Click the link for the role name to open the details window for that role. The role details window lists the tasks and users assigned to that role. You can use the details window to add users to the role or remove users from the role.

Note: Only security administrators can add users to or remove users from the security administrator and application administrator roles.

Click the link for a user to open the details window for that user. The user details window lists the user details, settings, roles, and companies for this account. You can use the details window to change the settings for the user account.

Note: Only security administrators can change password settings or assign users to administrator roles. Only application administrators can grant users access to companies.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


User Setup window

Use this window to set up, change, and remove user accounts; change password settings for user accounts; and assign user accounts to roles and companies.

For the user settings to take effect, all users must restart Sage 300 Construction and Real Estate.

You must be a security administrator, an application administrator, or both to do the following tasks.

You can perform the task if your role is: | Security Administrator | Application Administrator | Security & Application Administrator
Add users | Yes | No | Yes
Copy users | No | No | Yes
Delete users | Yes | No | Yes
Make accounts available or unavailable | Yes | Yes | Yes
Change password settings | Yes | No (view only) | Yes
Assign users to application administrator role | Yes | No | Yes
Assign users to security administrator role | Yes | No | Yes
Add tasks to roles | Only Log Viewer, Audit Setup Activity, View System Activity, and Change Audit Setup Fields tasks | Yes | Yes
Add roles | Yes | Yes | Yes
Add users to roles | Yes | Yes | Yes
Turn off and turn on tasks | Yes | Yes | Yes
Grant access to companies | No (view only) | Yes | Yes

Adding a user

Copying a user

Deleting a user

Making an account unavailable

Making an account available

Changing password settings

Adding an application administrator

Adding a security administrator

Adding tasks to roles

Adding a role

Adding a user to a role

Turning off tasks

Turning on tasks

Granting users access to companies

Items in this window

Users
[Add] | User Name
[Copy] | Description
[Delete] |
User Details
User name | Windows user
Full name | [Browse]
User Account Settings
Account is unavailable | Beginning
Account is available during the specified period | Ending
Password Settings
Initial password equals user name | Set initial password
User must change password at next log on | Password never expires
User cannot change password | [Set Password]
Roles
Filter | Add a role
Application Administrator | Details
Security Administrator |
Companies
Companies |

[Add]

You will only see this button if you are a security administrator.

Click to open a new User Details pane and add a new user account.

[Copy]

You will only see this button if you are a security administrator and an application administrator.

Select a user name from the Users list, and then click to copy those user details for a new user account.

[Delete]

You will only see this button if you are a security administrator.

Select a user name from the Users list, click [Delete], and then click [Yes] to delete that user account.

User Name

The list of logons for Sage 300 Construction and Real Estate (for example, JDoe).

Description

If available, the list of full names associated with each logon (for example, John Doe).

Top of page

User name

The logon for Sage 300 Construction and Real Estatefor the selected user (for example, JDoe).

Full name

(Optional) The name of the person associated with the user name (for example, John Doe).

Windows user

(Optional) The Microsoft Windows domain and user name associated with this account.

Format: domain\user name

[Browse]

(Optional) Click to open the Select Windows User window and browse the list of user names on your local domain.

Top of page

Account is unavailable

Select to prevent a user from logging on to Sage 300 Construction and Real Estate.

When security is on, you cannot make the only security administrator account unavailable.

Account is available during the specified period

Select to allow a user to log on to Sage 300 Construction and Real Estate. Then, select the beginning and ending dates for account availability. The default settings are today's date for the Beginning and Never for the Ending.

Beginning

The date that the selected user account became or will become available to the user. When you add a new user account, the default is today's date.

Ending

The date that the selected user account became or will become unavailable to the user. When you add a new user account, the default is Never. To add an ending date, select By and then type or select the date the account will become unavailable.

Top of page

Initial password equals user name

You will only see this option if you are a security administrator and you are adding a new user.

When selected, the user name and password are the same when the new user logs on to Sage 300 Construction and Real Estate. The password is case sensitive. This is the default option.

Set initial password

You will only see this option if you are a security administrator and you are adding a new user.

When you select this option and type the same password in the Password and Confirm password fields, the new user must use this password when logging on to Sage 300 Construction and Real Estate. The password is case sensitive.

User must change password at next log on

You can only set this option if you are a security administrator.

When selected, the user will see the Change Password window the next time that he or she logs on to Sage 300 Construction and Real Estate. Before the program will open, the user must type a new password that meets the password requirements that you set on the Security Settings window. This is the default setting.

If you select this option, you cannot select the User cannot change password and Password never expires options.

User cannot change password

You can only set this option if you are a security administrator.

When selected, only the security administrator can change the password for this user.

If you select this option, you cannot select the User must change password at next log on option.

Password never expires

You can only set this option if you are a security administrator.

When selected, the user will never be prompted to change the password.

If you select this option, you cannot select the User must change password at next log on option.

[Set Password]

You will only see this button if you are a security administrator and you have selected an existing user.

Click to open the Set Password window. Use to add or change the password for an existing user.

When you add or change the password, the User must change password at next log on option is automatically selected.

Top of page

Filter

Select All roles to view all available roles. This is the default view.

Select Selected roles to view the roles to which a user is assigned.

Select Available roles to view the roles to which you can add the user.

Note: Only security administrators can add users to the security administrator and application administrator roles.

Application Administrator

You must be a security administrator to assign a user to this role.

No one can change the tasks assigned to the application administrator role.

Security Administrator

You must be a security administrator to assign a user to this role.

No one can change the tasks assigned to the security administrator role.

Add a role

Click to create a new role and to add tasks and users to the role.

If you are a security administrator, you can only add the following tasks to a role:

  • Log Viewer (Tasks > Common Tasks > Tools > Log Viewer)
  • Audit Setup Activity (Tasks > Common Tasks > Tools > Options > Audit Setup Activity)
  • View System Activity (Tasks > Common Tasks > Security > View System Activity)
  • Change Audit Setup Fields (Tasks > Common Tasks > Security > Change Audit Setup Fields)

Details

Lists the description for the selected role and the tasks assigned to that role.

Click the link for the role name to open the details window for that role. The role details window lists the tasks and users assigned to that role. You can use the details window to add users to the role or remove users from the role.

Note: Only security administrators can add users to or remove users from the security administrator and application administrator roles.

Click the link for the task name to open the details window for that task. The task details window lists a description of the task, the roles assigned to the task, and the users assigned to each role. You can turn off or turn on tasks or all sub-tasks from the task details window. You can also add new roles from this window.

Top of page

Companies

Lists the companies to which the selected user has access. Administrators have access to all companies.

If you are an application administrator, you can use this tab to grant or deny a user access to a company.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.